Subject: Re: linux-next: manual merge of the usb tree with the devicetree tree

From: Greg KH <[email-masked]>
Date: Fri, 29 May 2020 10:28:40 +0200

On Fri, May 29, 2020 at 10:26:41AM +0200, Greg KH wrote:
> On Thu, May 28, 2020 at 08:14:36AM -0600, Rob Herring wrote:
> > On Thu, May 28, 2020 at 4:49 AM Greg KH <[email-masked]> wrote:
> > >
> > > On Thu, May 28, 2020 at 04:22:15PM +1000, Stephen Rothwell wrote:
> > > > Hi all,
> > > >
> > > > Today's linux-next merge of the usb tree got a conflict in:
> > > >
> > > >   Documentation/devicetree/bindings/usb/qcom,dwc3.yaml
> > > >
> > > > between commit:
> > > >
> > > >   3828026c9ec8 ("dt-bindings: usb: qcom,dwc3: Convert USB DWC3 bindings")
> > > >
> > > > from the devicetree tree and commits:
> > > >
> > > >   cd4b54e2ae1f ("dt-bindings: usb: qcom,dwc3: Convert USB DWC3 bindings")
> > > >
> > > > from the usb tree.
> > > >
> > > > I fixed it up (I guessed, taking most changes from the former) and can
> > > > carry the fix as necessary. This is now fixed as far as linux-next is
> > > > concerned, but any non trivial conflicts should be mentioned to your
> > > > upstream maintainer when your tree is submitted for merging.  You may
> > > > also want to consider cooperating with the maintainer of the
> > > > conflicting tree to minimise any particularly complex conflicts.
> > 
> > Ugg, I fixed up a warning on my side...
> > 
> > >
> > > Sounds good,t hanks.
> > 
> > Greg, can you revert your copy and we can get rid of the conflict.
> 
> I can, if you also add the attached patch to your tree, as it was a
> follow-on one from the original one and I had to revert it too.

Also this one as well.

---------------------

>From b88035625ec9594d4554a307e820aef4b759e35f Mon Sep 17 00:00:00 2001
From: Sandeep Maheswaram <[email-masked]>
Date: Thu, 26 Mar 2020 12:36:08 +0530
Subject: [PATCH] dt-bindings: usb: qcom,dwc3: Add compatible for SC7180

Add compatible for SC7180 in usb dwc3 bindings.

Signed-off-by: Sandeep Maheswaram <[email-masked]>
Reviewed-by: Douglas Anderson <[email-masked]>
Acked-by: Rob Herring <[email-masked]>
Reviewed-by: Stephen Boyd <[email-masked]>
Signed-off-by: Felipe Balbi <[email-masked]>

diff --git a/Documentation/devicetree/bindings/usb/qcom,dwc3.yaml b/Documentation/devicetree/bindings/usb/qcom,dwc3.yaml
index 0f69475566c7..17e22ff528dd 100644
--- a/Documentation/devicetree/bindings/usb/qcom,dwc3.yaml
+++ b/Documentation/devicetree/bindings/usb/qcom,dwc3.yaml
@@ -16,6 +16,7 @@ properties:
       - enum:
           - qcom,msm8996-dwc3
           - qcom,msm8998-dwc3
+          - qcom,sc7180-dwc3
           - qcom,sdm845-dwc3
       - const: qcom,dwc3